<!-- List of posts, collected using ajax -->
<div class="grid grid-cols-3 gap-4" x-data="{
        search: '',
        options :[],
        loadOptions: function () {
            this.showLoading = true;
            let url= 'https://dev.actf.com.au/api/news?tag=education-news&limit={{ $limit ?? 3}}';
            fetch(url, {
                method: 'GET',
                headers: {'X-Requested-With': 'XMLHttpRequest'}
            })
            .then(response => response.json())
            .then(data => this.options = data.data)
            .then(console.log(this.options)) // this.showLoading =false;
        }
    }
    "
     x-init="loadOptions()">

    <template x-for="post in options">POST
        <!-- post -->
        <div class="mb-4 p-4 corners shadow h-fit hover:shadow-md bg-light ">
            <template x-if="post.thumbnail">
                <a :href="'/news/view/'+ post.slug"><img class="rounded-md-t-md object-cover h-60 w-full" :src="'https://dev.actf.com.au/img/hero/'+ post.thumbnail" alt="..." /></a>
            </template>
            <div class="m-4 grid gap-2 prose   ">
                <div class="text-sm text-gray-500">
                    {{--                    {{ \Carbon\Carbon::parse($post->created_at)->format('M d, Y') }}--}}
                </div>
                <h2 class="text-lg font-bold" x-html="post.title"></h2>
                <div class="text-base line-clamp-4" x-html="post.description">
                    {{--                    {{ Str::limit(strip_tags($post->content), 150, '...') }}--}}
                </div>
                <a class="readmore" href="{{ $route }}">Read more →</a>
            </div>
        </div>
    </template>
</div>

