<!-- List of posts (svr render) -->
<div class="lg:grid lg:grid-cols-3 gap-4  lg:gap-x-8 gap-y-8 mb-4 lg:mb-8">
    @foreach ($posts as $post)
        {{--        @dd($post)--}}
        <!-- post -->
        <div class="flex flex-col gap-4 mb-4   ">
            @if ($post->thumbnail)
                <a href="/news/view/{{ $post->slug }}"><img class="rounded-3xl object-cover h-60 w-full"
                                                            src="https://dev.actf.com.au{{ Storage::url($post->thumbnail) }}" alt="..."/></a>
            @endif
            <div class="">
                <div class="text-sm text-gray-500">
                    {{ \Carbon\Carbon::parse($post->created_at)->format('M d, Y') }}
                </div>
                <h3 class="h3 mb-4">{{ $post->title }}</h3>
                <p class="text-base">
                    {{ Str::limit(strip_tags($post->content), 150, '...') }}
                </p>
                <x-readmore link="{{ $route }}"/>
            </div>
        </div>
    @endforeach
    <div class="flex flex-col gap-4 mb-4   bg-orange rounded-3xl has-readmore">
        <div class="flex flex-col justify-between h-full ">
            <div class="w-full p-4  sm:px-6 lg:mt-4">
                <div class="">
                    <h3 class="h3 mb-4">
                        Education News
                    </h3>
                </div>
                <div class="">
                    <p>Laoreet sagittis massa montes mollis massa aptent. Velit elementum justo nisi, ultrices erat
                        habitasse mi vitae. Egestas fringilla iaculis rutrum non aenean senectus tristique cras. Mi
                        class feugiat donec, integer iaculis placerat. Taciti non arcu leo interdum adipiscing feugiat
                        egestas magnis dui. At auctor et nunc facilisis porttitor lobortis. Volutpat ultricies
                        hendrerit;</p>
                </div>
            </div>
            <div class="w-full p-4  sm:px-6 text-right flex flex-row justify-end">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5"
                     stroke="currentColor"
                     class="size-10 rounded-full group-hover:stroke-white p-2 group-hover:bg-black/10">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M13.5 4.5 21 12m0 0-7.5 7.5M21 12H3"></path>
                </svg>
            </div>
        </div>

        </adiv>
    </div>
</div>

{{--{{ $posts->links() }}--}}
