<div class="w-full my-12">

    @if ($post ?? null)

        <!-- single post -->
        <article class="mx-auto max-w-7xl px-6 lg:px-8 mt-24 sm:mt-32 lg:mt-40">

            <div class="mx-auto max-w-2xl lg:max-w-none">
                <div class="mx-auto flex max-w-5xl flex-col text-center">
                    <h1
                        class="mt-6 font-display text-5xl font-medium tracking-tight text-neutral-950 [text-wrap:balance] sm:text-6xl">
                        {{ $post->title }}</h1>
                    <time datetime="2023-04-06" class="order-first text-sm text-neutral-950">
                        {{ \Carbon\Carbon::parse($post->published_at ?? $post->created_at )->format('M d, Y') }}
                    </time>
                    {{--                    @if ( $post->meta['author'] ?? false)--}}
                    {{--                    <p class="mt-6 text-sm font-bold text-neutral-950">by {{ $post->meta['author'] ?? '' }}@if ( $post->meta['author_title'] ?? false ), {{$post->meta['author_title']}} @endif</p>--}}
                    {{--                    @endif--}}
                </div>

                <div class="[&>*]:mx-auto [&>*]:max-w-3xl [&>:first-child]:!mt-0 [&>:last-child]:!mb-0 mt-24 sm:mt-32 lg:mt-40">
                    @if ($post->thumbnail)
                        <div class="thumb mb-8">
                            <img class="w-full"
                                 src="{{ Storage::url($post->thumbnail) }}"
                                 alt="..."/>
                        </div>
                    @endif
                    <div class="">
                        <div class="prose    mb-4">
                            {!! $post->content !!}
                        </div>
                        <div class="my-4 relative flex justify-start border-t pt-4 gap-1">

                            @if($previous ?? false)
                                <a class="btn-secondary " href="{{ $route }}/{{$previous->slug}}" title="{{$previous->title}}">&larr; <span class="">Previous</span></a>
                            @else
                                <span><!-- @ --></span>
                            @endif
                            <a class="btn-secondary readmore" href="{{ $route }} ">Back to index</a>

                            @if($next ?? false)
                                <a class="btn-secondary " href="{{ $route }}/{{$next->slug}} " title="{{$next->title}}"><span class="">Next</span> &rarr;</a>
                            @else
                                <span><!-- @ --></span>
                            @endif
                        </div>

                    </div>
                </div>
            </div>
            <div class="col-span-12 lg:col-span-2 my-4 relative">

            </div>

        </article>

    @else
        <!-- List of posts -->
        <div class="space-y-24 lg:space-y-32">

            <livewire:post-list route="{{$route}}" post_type="news" />



        </div>
        <div class="sr-only">
            {{ $posts->links() }}
        </div>
    @endif
</div>
