@include('wrangler.components.news.partials.heading')

<div class="flex flex-col md:flex-row py-4 md:gap-x-16" x-data="{
        search: '',
        viewOptions: function () {
            this.showLoading = true;
            let url= 'http://dev.actf.com.au/api/news?search=';
            fetch(url, {
                method: 'GET',
                headers: {'X-Requested-With': 'XMLHttpRequest'}
            })
                .then(response => response.json())
                .then(data => this.options = data.items)
                .then(this.showLoading =false)
    }
    "
     x-init="viewOptions()">
    <!-- main list -->
    <div class="text-gray-600 body-font overflow-hidden">

        <div class="divide-y-2 divide-gray-100 flex flex-col " >

            <template x-for="item in items">
                    <div class="grid md:grid-cols-4 gap-4 w-full py-4">
                        <div class="">
                            <div class="md:mb-0 mb-6 flex-none flex flex-col font-medium title-font text-gray-700">
                                <a href="{{ $route }}/view/{{ $post->id }}/{{ $post->slug }}">
                                    <img class="w-full object-cover object-center rounded-xl"
                                         src="/img/thumb/{{ trim($post->thumbnail, '/') }}"
                                         alt="{{ $post->title }}">
                                </a>
                            </div>
                        </div>
                        <div class="md:col-span-3 w-full">
                            <h2 class="text-2xl font-medium text-gray-900 title-font mb-2 max-w-5xl">
                                <div class="text-sm text-gray-500">
                                    <a href="{{ $route }}?year={{ \Carbon\Carbon::parse($post->published_at)->format('Y') }}&month={{ \Carbon\Carbon::parse($post->published_at)->format('m') }}">
                                        {{ \Carbon\Carbon::parse($post->published_at)->format('F jS Y') }}
                                    </a>
                                </div>
                                <a href="{{ $route }}/view/{{ $post->id }}/{{ $post->slug }}">
                                    {{ $post->title }}
                                </a>
                            </h2>
                            <div class="leading-relaxed prose">
                                <div class="text-base leading-relaxed mt-2 line-clamp-3">
                                    {!! $post->synopsis !!}
                                </div>
                            </div>
                            <div class="text-center md:text-left mt-2">
                                <a class="readmore" href="{{ $route }}/{{$post->slug}}">
                                <span class="flex items-center justify-center ">
                                    Read More
                                    <svg fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                         class="w-4 h-4 ml-2" viewBox="0 0 24 24"><path d="M5 12h14M12 5l7 7-7 7"></path></svg>
                                </span>
                                </a>
                            </div>
                        </div>
                    </div>
            </template>

        </div>
    </div>
</div>
